# I3SField

#### internal constructor new Cesium.I3SField()
engine/Source/Scene/I3SField.js 12

This class implements an I3S Field which is custom data attached to nodes

### Members

#### readonly header : object
engine/Source/Scene/I3SField.js 46

Gets the header for this field.

#### readonly name : string
engine/Source/Scene/I3SField.js 77

Gets the name for the field.

#### readonly resource : Resource
engine/Source/Scene/I3SField.js 35

Gets the resource for the fields

#### readonly values : object
engine/Source/Scene/I3SField.js 57

Gets the values for this field.

### Methods

#### load() → Promise.<void>
engine/Source/Scene/I3SField.js 126

Loads the content.

##### Returns:

A promise that is resolved when the field data is loaded

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.